Main Page Widgets Namespaces Book

# Gtk::ListViewText::TextModelColumns Class Reference

Inheritance diagram for Gtk::ListViewText::TextModelColumns:

[legend]

List of all members.

## Public Member Functions

guint | get_num_columns () const
| TextModelColumns (guint columns_count)
| ~TextModelColumns ()

## Public Attributes

Gtk::TreeModelColumn <Glib::ustring>* | m_columns

## Protected Attributes

guint | m_columns_count

## Constructor & Destructor Documentation

Gtk::ListViewText::TextModelColumns::TextModelColumns | ( | guint | columns_count | ) |

Gtk::ListViewText::TextModelColumns::~TextModelColumns | ( |  | ) |

## Member Function Documentation

guint Gtk::ListViewText::TextModelColumns::get_num_columns | ( |  | ) | const

## Member Data Documentation

Gtk::TreeModelColumn<Glib::ustring>* Gtk::ListViewText::TextModelColumns::m_columns

guint Gtk::ListViewText::TextModelColumns::m_columns_count `[protected]`

The documentation for this class was generated from the following file:

- listviewtext.h